<script>
// If you are using PurgeCSS, make sure to whitelist the carousel CSS classes
import { defineComponent } from "vue";
import { Carousel, Slide } from "vue3-carousel";
import ItemCarousel from "./ItemClientCarousel.vue";

export default defineComponent({
    name: "ClientCarousel",
    components: {
        ItemCarousel,
        Carousel,
        Slide,
    },
    inject: [],
    data() {
        return {
            settings: {
                itemsToShow: 2.5,
                // snapAlign: 'center',
            },
            breakpoints: {
                // 700px and up
                700: {
                    itemsToShow: 3,
                    snapAlign: "center",
                },
                // 1024 and up
                1024: {
                    itemsToShow: 4,
                    snapAlign: "center",
                },
            },
            clients: [
                { id: 1, url: "#", img: "/build/images/web/client-1.jpg", name: "Axel Kicillof" },
                { id: 2, url: "#", img: "/build/images/web/client-2.jpg", name: "Claudia Salto" },
                { id: 3, url: "#", img: "/build/images/web/client-3.jpg", name: "Juli Estrada" },
                { id: 4, url: "#", img: "/build/images/web/client-4.jpg", name: "Luli Trujillo" },
                { id: 5, url: "#", img: "/build/images/web/client-5.jpg", name: "Nicolás Munafó" },
                { id: 6, url: "#", img: "/build/images/web/client-6.jpg", name: "Victor Hugo Morales" },
                { id: 7, url: "#", img: "/build/images/web/client-7.jpg", name: "Julia Mengolini" },
            ],
        };
    },
});
</script>

<template>
    <carousel :settings="settings" :breakpoints="breakpoints">
        <slide v-for="client in clients" :key="client.id">
            <item-carousel :client="client" />
        </slide>

        <template #addons> </template>
    </carousel>
</template>

<style lang="scss">
@use "../scss/variables" as vars;

/* stylelint-disable-next-line */
.carousel__item {
    font-weight: bold;
    min-height: 150px;
    min-width: 150px;
}

/* stylelint-disable-next-line */
.carousel__icon {
    color: #b3904d;
    margin: 0;
}
</style>
